Page MenuHomePhabricator

dirstate: remove need_delay logic
ClosedPublic

Authored by marmoute on Nov 24 2021, 6:13 AM.

Details

Summary

Now that all¹ stored mtime are non ambiguous, we no longer need to apply the need_delay step.
The need delay logic was not great are mtime gathered during longer operation
could be ambiguous but younger than the dirstate.write call time.

So, we don't need that logic anymore and can drop it

This make the code much simpler. The code related to the test extension faking
the dirstate write is now obsolete and associated test will be migrated as
follow up. They currently do not break.

[1] except the ones from hg update, but need_delay no longer help for them
either.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Nov 24 2021, 6:13 AM
Alphare accepted this revision.Nov 24 2021, 8:51 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
tests/test-merge1.t
352

"scénarion" is very fancy

This revision is now accepted and ready to land.Nov 24 2021, 8:51 AM
marmoute edited the summary of this revision. (Show Details)Nov 30 2021, 6:54 PM
marmoute updated this revision to Diff 31231.
marmoute updated this revision to Diff 31237.Dec 1 2021, 8:22 AM
This revision was automatically updated to reflect the committed changes.